# Summary

[Introduction](README.md)

# User Guide

- [Installation](guide/installation.md)
- [Hello World - MNIST](guide/hello_world.md)
- [PyTorch cheatsheet](guide/hello_world.md)

# Reference Guide

- [Running a model](inference/README.md)
    - [Serialization](inference/serialization.md)
    - [Using the hub](inference/hub.md)
    - [Advanced Cuda usage](inference/cuda/README.md)
        - [Writing a custom kernel](inference/cuda/writing.md)
        - [Porting a custom kernel](inference/cuda/porting.md)
- [Error management](error_manage.md)
- [Creating apps](apps/README.md)
    - [Creating a WASM app](apps/wasm.md)
    - [Creating a REST api webserver](apps/rest.md)
    - [Creating a desktop Tauri app](apps/dekstop.md)
- [Training](training/README.md)
    - [MNIST](training/mnist.md)
    - [Fine-tuning](training/finetuning.md)
